# Class CIM_TapePartitionOnSurface
extends CIM_BasedOn

TapePartitionOnSurface represents the ability to have one or more TapePartitions on each surface of a PhysicalTape. The individual surfaces are represented as instances of CIM_StorageExtent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_TapePartitionOnSurface

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | TapePartitionOnSurface represents the ability to have one or more TapePartitions on each surface of a PhysicalTape. The individual surfaces are represented as instances of CIM_StorageExtent.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_TapePartitionOnSurface | CIM_StorageExtent
Dependent | CIM_TapePartitionOnSurface | CIM_TapePartition

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods